import wizard
import pooler

view="""<?xml version="1.0"?>
<form string="Make Purchase Requirement">
    <label string="This will create Purchase Requirement for the selected SO Line."/>
</form>
"""

class wizard_make_prq_sol(wizard.interface):
    def _make_prq(self,cr,uid,data,context):
        print "wiz _make_purchase.requirement"
        req_line_ids=data["ids"]
        pool=pooler.get_pool(cr.dbname)
        prq_ids = pool.get("sale.order.line").make_prq(cr,uid,req_line_ids)

        #return {}

        return {
            "type": "ir.actions.act_window",
            "res_model": "purchase.requirement",
            "domain": [("id","in",prq_ids)],
            "view_type": "form",
            "view_mode": "tree,form",
            "name": "Purchase Requirement",
        }

    states={
        "init": {
            "actions": [],
            "result": {
                "type": "form",
                "arch": view,
                "fields": {},
                "state": [("make_prq","Confirm"),("end","Cancel")],
            },
        },
        "make_prq": {
            "result": {
                "type": "action",
                "action": _make_prq,
                "state": "end",
            }
        }
    }
wizard_make_prq_sol("make.prq.sol")
